using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.WebUtilities;
using Microsoft.Extensions.Primitives;

namespace SharpRSS.Blazor.Extensions;

public static class NavigationManagerExtensions
{
    public static Dictionary<string, StringValues> GetQueryParameters(this NavigationManager navigationManager)
    {
        var uri = navigationManager.ToAbsoluteUri(navigationManager.Uri);
        return QueryHelpers.ParseQuery(uri.Query);
    }
}