namespace SharpRSS.Data.Domains.Auth.Identity;

public class UserModel
{
    public string Id { get; set; } = Guid.NewGuid().ToString();
    public string Email { get; set; } = string.Empty;
    public string UserName { get; set; } = string.Empty;
    public string PasswordHash { get; set; } = string.Empty;
    public string Name { get; set; } = string.Empty;
    public string FamilyName { get; set; } = string.Empty;
    public DateTime CreatedDate { get; set; } = DateTime.Now;
    public DateTime LastLogin { get; set; }
    public bool IsEnabled { get; set; }
    public bool IsAdmin { get; set; }
}